User Tools

Site Tools


difx:dependenciesubuntu

Ubuntu Packages for DiFX

Hardy

Lucid

sudo apt-get install build-essential pkg-config bison flex libfftw3-dev libopenmpi-dev openmpi-bin automake gfortran libexpat1-dev

subversion

Natty & Precise (12.04)

 sudo apt-get install build-essential pkg-config bison flex libfftw3-dev libopenmpi-dev openmpi-bin automake gfortran libexpat1-dev subversion libtool

Optional

 sudo apt-get install doxygen

14.04 LTS Trusty Tahr & 16.04 LTS

 sudo apt-get install build-essential subversion libopenmpi-dev libfftw3-dev libtool bison flex pkg-config automake autoconf libexpat1-dev gfortran openmpi-bin Xorg-dev rpcbind python

Note:

1. related to OpenMPI: libopenmpi-dev openmpi-bin

 Optional (for 16.04 LTS)
 sudo apt-get install openmpi-common openssh-client openssh-server libopenmpi1.10

2. related to fftw: libfftw3-dev

 Optional
 sudo apt-get install libfftw*

3. related to PGPLOT: gfortran Xorg-dev

To install portmap to activate calcserver in 16.04 LTS Please install the following packages: sudo apt-get install nfs-kernel-server rpcbind nfs-common

Optional

sudo apt-get install doxygen

19.04 Disco Dingo, 20.04 Focal Fossa

 sudo apt-get install subversion build-essential python autotools-dev autoconf libtool libfftw3-dev pkg-config libexpat1-dev openmpi-bin libgsl-dev bison flex-old

Note flex-old, not flex

Optional

 sudo apt-get install pgplot5 doxygen
difx/dependenciesubuntu.txt · Last modified: 2020/05/08 15:19 by chrisphillips